Bug 1081189 - For consideration: thunarx-python dependson python-gnome
For consideration: thunarx-python dependson python-gnome
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Xfce
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-15 15:06 UTC by Dominique Leuenberger
Modified: 2018-02-18 12:02 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2018-02-15 15:06:18 UTC
In openSUSE:Factory, the package python-gnome would preferably be dropped.

The package has long been unmaintained (allbeit it still builds) and stems from the time of GNOME 2.28 (so even the latest GNOME 2.x released no longer pulled that package up)

There is currently a single package depending on python-gnome, and that is thunarx-gnome.

Can you please assess if there is any chance of eliminating that dependency? Possibly some of the code could be moved from python-gnome to thunarx-python
Comment 1 Dominique Leuenberger 2018-02-15 15:11:23 UTC
According to http://goodies.xfce.org/projects/bindings/thunarx-python there should be newer bindigns available, based on pygobject-3.0 and GTK 3.0

That should eliminate the gnome-python dep
Comment 2 Stefan Seyfried 2018-02-17 11:13:33 UTC
The newer bindings are for Thunar 1.7 which is the development version and not for public consumption (same as xfce-4.13 ;-))

Let's just drop thunarx-python for now from Factory, I do not know anything that really needs it.
Comment 3 Stefan Seyfried 2018-02-17 11:21:11 UTC
Even better: it seems to build just fine without gnome-python-2.0, I'll submitrequest this after a few more tests, soon.
Comment 4 Swamp Workflow Management 2018-02-17 13:40:06 UTC
This is an autogenerated message for OBS integration:
This bug (1081189) was mentioned in
https://build.opensuse.org/request/show/577589 Factory / thunarx-python
Comment 5 Stefan Seyfried 2018-02-18 12:02:24 UTC
SR has been accepted to Factory.